/*
  audio.h

   ???       Till  erste Version
   27.11.96  Chip  Typen auf tm_* umgestellt
*/

#ifndef __AUDIO__
#define __AUDIO__
#include "ctypes.h"

typedef enum {SOUND_BOING=0,SOUND_CLICK, SOUND_TEST,SOUND_BONUS,SOUND_SHOT,SOUND_LAST} tm_sound;

extern tm_char audio_driver_name[];

extern tm_bool init_audio(tm_void);
extern tm_bool exit_audio(tm_void);
extern tm_void do_audio(tm_sound sound);
extern tm_void do_music(tm_void);

extern tm_bool vol_audio(tm_uword *vol, tm_bool setflag);
extern tm_void test_audio(tm_void);
extern tm_bool audio_on(tm_bool *on, tm_bool setflag);

extern tm_void init_audio_options(tm_void);
extern tm_void show_audio_options(tm_void);
extern tm_bool set_audio_option(tm_char *cmd);

#endif /* __AUDIO__ */
