/*
  misc.h

  diverse Routinen, die im Wesentlichen direkt auf
	hardwareabhaengige Teile aufsetzen, selbst aber
  nicht hardwareabhaengig sind

  18.7.95   Till   erste Version
  27.11.96  Chip   Typen auf tm_* umgestellt
*/

#ifndef __MISC__
#define __MISC__
#include "ctypes.h"
#include "joystick.h"
extern tm_void  wait_msec(tm_ulong msec);
extern tm_void  init_joystick_delay(tm_void);
extern tm_uword get_joystick_delay(tm_void);
extern tm_void  srnd(tm_ulong initval);
extern tm_ulong rnd(tm_void);
extern tm_void  wait_4_button(tm_void);
extern tm_ulong set_wait(tm_ulong msec);

/* math stuff */
extern tm_short atantab[];       /* 256 values of arctan  */
extern const tm_short sintab[];  /* 4096 values of sine   */
extern const tm_short *costab;   /* 4096 values of cosine */

#endif /* __MISC__ */
