/*
  move.h

   ???       Till  erste Version
   27.11.96  Chip  Typen auf tm_* umgestellt
   21.01.98  Till  alten Muell rausgeworfen
*/

#ifndef __MOVE__
#define __MOVE__
#include "ctypes.h"
#include "maze.h"

#define FIELD_SH     (8)
#define FIELD        (1<<FIELD_SH)      /* muss 2er-potenz sein! */
#define WALL_HEIGHT  (FIELD/2)
#define SMILEY_RAD   (FIELD/4)
#define SHOT_RAD     (FIELD/8)

extern tm_void init_player(PLAYER_DATA *pl);
extern tm_void move_player(PLAYER_DATA *pl, tm_word forward, tm_word rot);
#endif /* __MOVE__ */
