/*
  raw256\r256_cir.c

  Kreisflaechentreiber fuer einfache 256-Farben-Displays!

  12. 7.95  Till   slow and dirty, verbesserungswuerdig
   3.10.95  Till   schon besser!
*/

#ifndef X_R256_DRAW_DISC
#ifdef MULTIMODE
void r256_draw_disc(tm_uword x, tm_uword y, tm_uword rad, tm_uword int_col, tm_uword bd_col)
#else
void draw_disc(tm_uword x, tm_uword y, tm_uword rad, tm_uword int_col, tm_uword bd_col)
#endif
{
  tm_uchar *upper=(tm_uchar*)(screen_base+(y-rad)*WIDTH+x),*u_run_l,*u_run_r;
  tm_uchar *lower=(tm_uchar*)(screen_base+(y+rad)*WIDTH+x),*l_run_l,*l_run_r;
  tm_word  counter=rad-1,xval=0,yval=rad,line,last=0;

  do {
    if(counter<0) {
      counter+=2*--yval;
      
      upper+=(tm_uword)WIDTH;
      lower-=(tm_uword)WIDTH;

      u_run_l=upper-xval; u_run_r=upper+xval-1;
      l_run_l=lower-xval; l_run_r=lower+xval-1;
      for(line=0;line<1+xval-last;line++)
        *u_run_l++=*l_run_l++=*u_run_r--=*l_run_r--=bd_col;
      for(line=0;line<last-1;line++)
        *u_run_l++=*l_run_l++=*u_run_r--=*l_run_r--=int_col;

      last=xval;
    }
    else
      counter-=2*xval++;
  }
  while(yval>1);

  upper+=(tm_uword)WIDTH;
  u_run_l=upper-xval; u_run_r=upper+xval-1;
  for(line=0;line<1+xval-last;line++)
    *u_run_l++=*u_run_r--=bd_col;
  for(line=0;line<last-1;line++)
    *u_run_l++=*u_run_r--=int_col;
}
#endif
