/*
   TEXT.H

   Texte fuer Maze

   ???       Till  erste Version
   27.11.96  Chip  Typen auf tm_* umgestellt
   26.01.97  Chip  Texteingabe
*/

#ifndef __TEXT__
#define __TEXT__

#include "dialog.h"

#define NUM_OF_LANGUAGES  2
#define DEUTSCH 0
#define ENGLISH 1

#define LANGUAGE DEUTSCH

typedef struct
{
  tm_char *str[NUM_OF_LANGUAGES];
  tm_word action;
  tm_void *value;
}
MENU_ENTRY;

extern tm_char *machine_name[];
extern tm_char *language_msg[],*error_msg[];
extern tm_char *no_vga[],*no_video_buffer[],*no_mouse[],*no_joy[];
extern tm_char *no_appl_init[],*wrong_display[];
extern tm_char *joystick_kalibration[];
extern tm_char *joystick_kal1[],*joystick_kal2[],*joystick_kal3[];

extern tm_char *dialog_program_title[],*dialog_program_msg[];
extern tm_char *dialog_system_title[],*dialog_system_msg[];
extern tm_char *dialog_general_title[],*dialog_general_msg[];

extern MENU_ENTRY  menu[][7];

extern tm_char *get_string_delete[],*get_string_shift[],*get_string_ok[];
extern tm_char *fileselect_cancel[];

#endif /* __TEXT__ */

