/*
   dialog.h

   Dialogroutinen fuer User-Ein-/Ausgaben

   Historie:
   13.7.95   Till  erste Version
   14.11.96  Chip  ueberfluessige Prototypen entfernt
   27.11.96  Chip  Typen auf tm_* umgestellt
   26.01.97  Chip  texteingabe
   23.08.97  Till  File-Selektor
*/

#ifndef __DIALOG__
#define __DIALOG__

#include "ctypes.h"

extern tm_void init_dialog(tm_void);
extern tm_void get_string(tm_char *title,tm_char *string, tm_uword max);
extern tm_bool main_menu(tm_void);
extern tm_void text_box(tm_char *titel, tm_char *msg);
extern tm_void text_box_butf(tm_char *titel, tm_char *fmt, ...);

extern tm_uword language;

extern tm_char  player_name[];

#define PARM_SET FALSE
#define PARM_GET TRUE

#define MENU_SUB     (-3)
#define MENU_END     (-2)
#define MENU_TOP     (-1)
#define MENU_TITLE   (0)
#define MENU_NOTHING (1)
#define MENU_QUIT    (2)
#define MENU_EXEC    (3)
#define MENU_SCALE   (4)
#define MENU_CHECK   (5)
#define MENU_STRING  (6)
#define MENU_FILESEL (7)

#endif /* __DIALOG__ */
