/*
  gif.h
*/

#ifndef __GIF__
#define __GIF__
#include "ctypes.h"
#include "machine.h"

#define  PICTURE_PREFIX "pictures"
#define  PICTURE_SUFFIX ".gif"

typedef struct {
  tm_uchar r,g,b;
} tm_color;

typedef struct {
  tm_uword  width,height,colors;
  tm_color *color;
  tm_char  *data;
  tm_long  datalen;
} tm_picture;

tm_bool show_gif(tm_char *file, tm_char *mem);

#endif /* __GIF__ */
