/*
  maze.h

  22.07.95  Till  erste Version
  27.11.96  Chip  Typen auf tm_* umgestellt
  09.03.97  Chip  drawmaze.c und drawmap.c extrahiert
  10.09.97  Till  Shading
*/

#ifndef __MAZE__
#define __MAZE__
#include "mazes.h"
#include "machine.h"

extern const tm_short sintab[];
extern const tm_short *costab;
extern MAZE  *akt_maze;
#ifdef WALLS_SHADED
#define SHADE_LOWER_BOUND (0)
#define SHADE_UPPER_BOUND (40)
extern tm_char shade_offset[];
extern tm_char shade_dither[];
#endif

extern tm_void init_maze_colors(tm_void);
extern tm_void init_maze(MAZE *this_maze);

#endif /* __MAZE__ */
