/*
  raw256\r256_pix.c

  Pixeltreiber fuer einfache 256-Farben-Displays!

  10.7.95  Till
*/

#ifndef X_R256_SET_PIXEL
#ifdef MULTIMODE
void r256_set_pixel(tm_uword x, tm_uword y, tm_uword col)
#else
void set_pixel(tm_uword x, tm_uword y, tm_uword col)
#endif
{
  *(tm_uchar*)(screen_base+WIDTH*(tm_ulong)y+x)=(tm_uchar)col;
}
#endif

#ifndef X_R256_GET_PIXEL
#ifdef MULTIMODE
tm_uword r256_get_pixel(tm_uword x, tm_uword y)
#else
tm_uword put_pixel(tm_uword x, tm_uword y)
#endif
{
  return((tm_uword)(*(tm_uchar*)(screen_base+WIDTH*y+x)));
}
#endif
