/*
  texture.h

*/

#ifndef __TEXTURE__
#define __TEXTURE__
#include "ctypes.h"

#define TEXTURE_MIR

#define TEXTURE_WIDTH  64
#define TEXTURE_HEIGHT 64

#define TEX_COL_START 128
#define TEX_COL_NUM   128
#define TEX_SHADES     32   /* number of shadings per color */

#define TEXTURES 2

#ifdef TEXTURE_MIR
extern tm_char textures[2][2*TEXTURE_WIDTH][TEXTURE_HEIGHT];   /* at least texture for wall and door */
#else
extern tm_char textures[2][TEXTURE_WIDTH][TEXTURE_HEIGHT];   /* at least texture for wall and door */
#endif

extern tm_uchar texture_colmap[TEXTURES][TEX_SHADES][256];

#define TEXTURE_WALL 0
#define TEXTURE_DOOR 1

#endif /* __TEXTURE__ */
