/*
  timer.c

  Timer-Treiber fr ST

  01.03.96  Chip  erste Version mit 200-Hz-Zaehler
  28.11.96  Chip  Typen auf tm_* umgestellt
*/

#include <stdlib.h>
#include <tos.h>

#include "ctypes.h"
#include "timer.h"
#include "misc.h"

tm_char timer_driver_name[]="200 Hz timer V1.0";

#define FREQ		200
#define	_HZ_200		(*((unsigned long *)0x4BAL))

tm_uword init_timer(tm_void)
{
  srnd(get_ticks());         /* Zufallszahlen initialisieren */
  return(OK);
}

tm_void exit_timer(tm_void)
{
}

static long ticks(tm_void)
{
  return(_HZ_200);
}

tm_ulong get_ticks(tm_void)
{
  return(Supexec(ticks));
}

tm_ulong ticks2msec(tm_ulong ticks)
{
  return(ticks*1000/FREQ);
}

tm_ulong msec2ticks(tm_ulong msec)
{
  return(msec*FREQ/1000);
}
